import java.util.Set;
import java.util.HashSet;
import java.util.List;
import java.util.ArrayList;
/*******************************************************************************
 * Třída {@code CollectionDemo} je hlavní třídou projektu,
 * vstupním bodech 
 *
 * @author  Tomáš Pitner
 * @version 1.00.0000 — 2019-10-29
 */
public class CollectionDemo
{
    /***************************************************************************
     * Metoda, prostřednictvím níž se spouští celá aplikace.
     *
     * @param args Parametry příkazového řádku
     */
    public static void main(String[] args)
    {
       demoSet();
       demoList();
    }
    
    public static void demoSet() {
       Set<Person> people = new HashSet<>();
       people.add(new Person("Jan Novák"));// Set does not store duplicates
       people.add(new Person("Jan Novák"));// but only if equals AND hashCode
       people.add(new Person("Jan Novák"));// are defined properly!
       people.add(new Person("Libor Horák"));
       
       System.out.println(people);
    }
    
    public static void demoList() {
       List<Person> people = new ArrayList<>();
       people.add(new Person("Jan Novák"));// List allways stores duplicates 
       people.add(new Person("Jan Novák"));
       people.add(new Person("Jan Novák"));
       people.add(new Person("Libor Horák"));
       
       System.out.println(people);
    }
}

